(**************************************************************************************)
(*  'tils Lib - Librairie de composants divers                                        *)
(*  Copyright (C) 2003  U. Van Den Hekke                                              *)
(*                                                                                    *)
(*  This library is free software; you can redistribute it and/or                     *)
(*  modify it under the terms of the GNU Lesser General Public                        *)
(*  License as published by the Free Software Foundation; either                      *)
(*  version 2.1 of the License, or (at your option) any later version.                *)
(*                                                                                    *)
(*  This library is distributed in the hope that it will be useful,                   *)
(*  but WITHOUT ANY WARRANTY; without even the implied warranty of                    *)
(*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU                 *)
(*  Lesser General Public License for more details.                                   *)
(*                                                                                    *)
(*  You should have received a copy of the GNU Lesser General Public                  *)
(*  License along with this library; if not, write to the Free Software               *)
(*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA         *)
(**************************************************************************************)

unit AboutDlgIntf;

interface

uses
  DesignIntf, DesignEditors, AboutDlg, AboutDlgType;

type
  TTextMenu = (tmExecute, tmExecuteSimple, tmExecute2);
  TAboutEditor = class(TComponentEditor)
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
    procedure ExecuteVerb(Index: Integer); override;
    function GetVerb(Index: Integer): string; override;
    function GetVerbCount: Integer; override;
    procedure Edit; override;
  end;

implementation

procedure TAboutEditor.Edit;
begin
  ExecuteVerb(Ord (tmExecute));
end;

procedure TAboutEditor.ExecuteVerb(Index: Integer);
begin
  Case tTextMenu(index) of
    tmExecute      : (Component as TAboutDlg).Execute;
    tmExecuteSimple: (Component as TAboutDlg).ExecuteSimpleAbout;
    tmExecute2     : (Component as TAboutDlg).ExecuteAbout2;
  end;
end;

function TAboutEditor.GetVerb(Index: Integer): string;
begin
  Case tTextMenu(index) of
    tmExecute      : result := 'Default';
    tmExecuteSimple: result := '&Test (Simple) ...';
    tmExecute2     : result := '&Test (Version 2) ...';
  end;
end;

function TAboutEditor.GetVerbCount: Integer;
begin
  result := Ord (High (tTextMenu)) + 1;
end;

end.
